Bug 1469466 - [RFE] add non-interactive mode to katello-change-hostname
[RFE] add non-interactive mode to katello-change-hostname
Status: VERIFIED
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Packaging (Show other bugs)
6.3.0
Unspecified Unspecified
low Severity medium (vote)
: Beta
: --
Assigned To: John Mitsch
Peter Ondrejka
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-11 06:18 EDT by Peter Ondrejka
Modified: 2017-08-15 14:30 EDT (History)
4 users (show)

See Also:
Fixed In Version: tfm-rubygem-katello-3.4.4
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 20277 None None None 2017-07-11 13:18 EDT

  None (edit)
Description Peter Ondrejka 2017-07-11 06:18:07 EDT
At the moment, there is no way around the user confirmation dialog in katello-change-hostname which is a blocker for test automation. Adding a -y option would solve the problem.
Comment 2 Brad Buckingham 2017-07-11 13:13:54 EDT
Hi John, adding need info to make you aware of this request.  If it is a small change, it may help with automation.  Thanks!
Comment 3 John Mitsch 2017-07-11 13:18:45 EDT
Created redmine issue http://projects.theforeman.org/issues/20277 from this bug
Comment 4 John Mitsch 2017-07-11 13:21:47 EDT
Thanks Brad,

I cloned it upstream and will get to it ASAP
Comment 5 pm-sat@redhat.com 2017-07-11 14:02:19 EDT
Upstream bug assigned to jomitsch@redhat.com
Comment 6 pm-sat@redhat.com 2017-07-11 14:02:22 EDT
Upstream bug assigned to jomitsch@redhat.com
Comment 7 pm-sat@redhat.com 2017-07-12 12:02:23 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20277 has been resolved.
Comment 8 pm-sat@redhat.com 2017-08-03 18:02:26 EDT
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20277 has been resolved.

Note You need to log in before you can comment on or make changes to this bug.